/**
 *  @file network.h
 *
 *  @author Collin R. Mulliner <collin@mulliner.org>
 *
 *  This is part of the Bluetooth Location Tracker (BLT) project
 */

#ifndef __NETWORK_H__
#define __NETWORK_H__

#define BLT_DC_CONNECTED		0
#define BLT_DC_DISCONNECTED	1
#define BLT_DC_READY				2

struct blt_data_client_session_t {
	char *data_ip;
	unsigned short int data_port;
	
	int mySocket;
	
	int status;
};

#endif
int blt_client_connect(struct blt_data_client_session_t *self);
int blt_client_disconnect(struct blt_data_client_session_t *self);
